SingleTestClass (Apache Ant API)
Date: 2018-09-11

Package org.apache.tools.ant.taskdefs.optional.junitlauncher

## Class SingleTestClass

- java.lang.Object
- - org.apache.tools.ant.taskdefs.optional.junitlauncher.SingleTestClass

- All Implemented Interfaces:
    `NamedTest`

      public class SingleTestClass
      extends java.lang.Object
      implements NamedTest

  Represents the single `test` (class) that's configured to be launched by the `JUnitLauncherTask`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `excludeEngines` |
    `protected java.lang.String` | `failureProperty` |
    `protected java.lang.Boolean` | `haltOnFailure` |
    `protected java.lang.String` | `ifProperty` |
    `protected java.lang.String` | `includeEngines` |
    `protected java.util.List<ListenerDefinition>` | `listeners` |
    `protected java.lang.String` | `outputDir` |
    `protected java.lang.String` | `unlessProperty` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SingleTestClass()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConfiguredListener​(ListenerDefinition listener)` |
    `java.lang.String` | `getName()` |
    `void` | `setExcludeEngines​(java.lang.String excludeEngines)` |
    `void` | `setFailureProperty​(java.lang.String failureProperty)` |
    `void` | `setHaltOnFailure​(boolean haltonfailure)` |
    `void` | `setIf​(java.lang.String ifProperty)` |
    `void` | `setIncludeEngines​(java.lang.String includeEngines)` |
    `void` | `setMethods​(java.lang.String methods)` |
    `void` | `setName​(java.lang.String test)` |
    `void` | `setOutputDir​(java.lang.String dir)` |
    `void` | `setUnless​(java.lang.String unlessProperty)` |
    `protected boolean` | `shouldRun​(Project project)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ifProperty

          protected java.lang.String ifProperty

    - #### unlessProperty

          protected java.lang.String unlessProperty

    - #### haltOnFailure

          protected java.lang.Boolean haltOnFailure

    - #### failureProperty

          protected java.lang.String failureProperty

    - #### outputDir

          protected java.lang.String outputDir

    - #### includeEngines

          protected java.lang.String includeEngines

    - #### excludeEngines

          protected java.lang.String excludeEngines

    - #### listeners

          protected java.util.List<ListenerDefinition> listeners

  - ### Constructor Detail

    - #### SingleTestClass

          public SingleTestClass()

  - ### Method Detail

    - #### setName

          public void setName​(java.lang.String test)

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedTest`
      Returns:
        Returns the name of the test

    - #### setMethods

          public void setMethods​(java.lang.String methods)

    - #### setIf

          public void setIf​(java.lang.String ifProperty)

    - #### setUnless

          public void setUnless​(java.lang.String unlessProperty)

    - #### setHaltOnFailure

          public void setHaltOnFailure​(boolean haltonfailure)

    - #### setFailureProperty

          public void setFailureProperty​(java.lang.String failureProperty)

    - #### addConfiguredListener

          public void addConfiguredListener​(ListenerDefinition listener)

    - #### setOutputDir

          public void setOutputDir​(java.lang.String dir)

    - #### shouldRun

          protected boolean shouldRun​(Project project)

    - #### setIncludeEngines

          public void setIncludeEngines​(java.lang.String includeEngines)

    - #### setExcludeEngines

          public void setExcludeEngines​(java.lang.String excludeEngines)